import { MaybeRef } from '../../type';
import { ListHeaderBuildOptionsInput } from '../list-header';
import { ListItemsBuildOptionsInput } from '../list-items';
import { ListNoMoreBuildOptionsInput } from '../list-no-more';
import { ListPaginationBuildOptionsInput } from '../list-pagination';
import { ListSearchBuildOptionsInput } from '../list-search';
import { PaginationMeta } from '../pagination';
import { ExpectListBaseOptions, ListBaseOptions, ListBaseOptionsInput, ListLoadFn, OptionsInput } from '../type';
export declare type ListBuildOptions<T extends Record<string, any>> = ListBaseOptions & {
    busy?: MaybeRef<boolean>;
    data?: MaybeRef<T[]>;
    load?: ListLoadFn;
    meta?: MaybeRef<Partial<PaginationMeta>>;
    change?: (input: any) => void;
    header: Omit<ListHeaderBuildOptionsInput, 'busy' | 'load'> | boolean;
    search: Omit<ListSearchBuildOptionsInput, 'change'> | boolean;
    items: Omit<ListItemsBuildOptionsInput<T>, 'busy' | 'data'> | boolean;
    noMore: Omit<ListNoMoreBuildOptionsInput<T>, 'busy' | 'total'> | boolean;
    pagination: Omit<ListPaginationBuildOptionsInput<T>, 'busy' | 'meta' | 'load'> | boolean;
};
export declare type ListBuildOptionsInput<T extends Record<string, any>> = ListBaseOptionsInput & OptionsInput<ExpectListBaseOptions<ListBuildOptions<T>>, 'load', 'busy' | 'data' | 'meta' | 'change'>;
//# sourceMappingURL=type.d.ts.map